Bug 57833 - (ld.so) relocation error while rebuilding kdebase on ia64
(ld.so) relocation error while rebuilding kdebase on ia64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-26 15:12 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 06:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-12-26 15:12:37 EST
Description of Problem:
make[4]: Entering directory `/usr/src/build/56081-ia64/BUILD/kdebase/kcontrol/g
eneral'
/usr/lib/qt3/bin/uic -o widgetsettings.h ./widgetsettings.ui
QSettings: error creating /root/.qt
/usr/lib/qt3/bin/uic: relocation error: /usr/lib/libkdecore.so.4: undefined sym
bol: _ZN7KGlobal23unregisterStaticDeleterEP18KStaticDeleterBase
make[4]: *** [widgetsettings.h] Error 127
[root@natasha /]# nm /usr/lib/libkdecore.so.4 |grep unregisterStaticDeleter
0000000000359ee0 T _ZN7KGlobal23unregisterStaticDeleterEP18KStaticDeleterBase

[root@natasha /]# rpm -qf /lib/ld-linux-ia64.so.2
glibc-2.2.4-20
Comment 1 Ulrich Drepper 2004-09-30 06:31:13 EDT
Certainly resolved by now.

Note You need to log in before you can comment on or make changes to this bug.